panel-node-editor-viewport {

    width: calc(100vw - 600px);
    height: 80vh;

    div[name="viewport"] {

        position: relative;
        /* should grab all available space */
        flex-grow: 1;

        div[name="textLayer"] {

            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;

            pointer-events: none;

        }

    }

}